SDL_CopyGPUTextureToTexture(3)

NAME
SDL_CopyGPUTextureToTexture - Performs a texture-to-texture copy.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_CopyGPUTextureToTexture(
    SDL_GPUCopyPass *copy_pass,
    const SDL_GPUTextureLocation *source,
    const SDL_GPUTextureLocation *destination,
    Uint32 w,
    Uint32 h,
    Uint32 d,
    bool cycle);

DESCRIPTION
This copy occurs on the GPU timeline. You may assume the copy has finished in subsequent commands.

FUNCTION PARAMETERS

copy_pass
    a copy pass handle.

source
    a source texture region.

destination
    a destination texture region.

w   the width of the region to copy.

h   the height of the region to copy.

d   the depth of the region to copy.

cycle
    if true, cycles the destination texture if the destination texture is bound, otherwise overwrites the data.

AVAILABILITY
This function is available since SDL 3.2.0.